import { ref as h, watch as oe, defineComponent as F, useSlots as Ke, openBlock as d, createBlock as R, resolveDynamicComponent as ce, normalizeClass as B, unref as y, withCtx as U, createCommentVNode as L, createElementBlock as b, renderSlot as W, computed as f, useAttrs as At, normalizeStyle as Ct, createElementVNode as T, toDisplayString as q, mergeProps as et, toRef as Dt, createStaticVNode as $t, toRefs as St, withDirectives as Ot, vModelCheckbox as Bt, Fragment as Fe, createVNode as S, Transition as Ze, createTextVNode as xe, cloneVNode as Pt, h as D, inject as H, provide as Z, watchEffect as j, onMounted as $, onUnmounted as I, Teleport as Ut, reactive as _t, shallowRef as Mt, nextTick as Rt, withModifiers as jt } from "vue";
const Nt = {
  "--neutral-0": "#ffffff",
  "--neutral-50": "#f9fafb",
  "--neutral-100": "#f3f4f6",
  "--neutral-200": "#e5e7eb",
  "--neutral-300": "#d1d5db",
  "--neutral-400": "#9ca3af",
  "--neutral-500": "#6b7280",
  "--neutral-600": "#4b5563",
  "--neutral-700": "#374151",
  "--neutral-800": "#1f2937",
  "--neutral-900": "#111827",
  "--brand-50": "#f5f8f8",
  "--brand-100": "#eaeeef",
  "--brand-200": "#d2dadb",
  "--brand-300": "#acbdbd",
  "--brand-400": "#8ea6a6",
  "--brand-500": "#437571",
  "--brand-600": "#004e48",
  "--brand-700": "#023d38",
  "--brand-800": "#021f1c",
  "--brand-900": "#020a0b",
  "--green-50": "#eefff4",
  "--green-100": "#d7ffe7",
  "--green-200": "#b2ffd1",
  "--green-300": "#7dffb3",
  "--green-400": "#33f584",
  "--green-500": "#09de62",
  "--green-600": "#01b84e",
  "--green-700": "#059040",
  "--green-800": "#0a7137",
  "--green-900": "#0a5d2f",
  "--lime-50": "#f7ffe4",
  "--lime-100": "#ebffc4",
  "--lime-200": "#d8ff90",
  "--lime-300": "#bbff50",
  "--lime-400": "#a9ff34",
  "--lime-500": "#7fe600",
  "--lime-600": "#61b800",
  "--lime-700": "#498b00",
  "--lime-800": "#3b6d07",
  "--lime-900": "#335c0b",
  "--teal-50": "#effefd",
  "--teal-100": "#c7fffa",
  "--teal-200": "#7dfff4",
  "--teal-300": "#50f8ef",
  "--teal-400": "#1de4e1",
  "--teal-500": "#04c8c7",
  "--teal-600": "#009da1",
  "--teal-700": "#057d80",
  "--teal-800": "#0a6165",
  "--teal-900": "#0d5154",
  "--blue-50": "#eef9ff",
  "--blue-100": "#d9f1ff",
  "--blue-200": "#bce8ff",
  "--blue-300": "#8edbff",
  "--blue-400": "#59c5ff",
  "--blue-500": "#34a9ff",
  "--blue-600": "#1b8af5",
  "--blue-700": "#1472e1",
  "--blue-800": "#175bb6",
  "--blue-900": "#194e8f",
  "--purple-50": "#f9f4ff",
  "--purple-100": "#f0e5ff",
  "--purple-200": "#e4d0ff",
  "--purple-300": "#d0acff",
  "--purple-400": "#b276ff",
  "--purple-500": "#9542ff",
  "--purple-600": "#8a34ff",
  "--purple-700": "#6a0ee2",
  "--purple-800": "#5b12b7",
  "--purple-900": "#4c1093",
  "--pink-50": "#fef1f9",
  "--pink-100": "#fee5f5",
  "--pink-200": "#ffcaed",
  "--pink-300": "#ff9fdd",
  "--pink-400": "#ff63c4",
  "--pink-500": "#ff34a9",
  "--pink-600": "#f01287",
  "--pink-700": "#d1056b",
  "--pink-800": "#ad0758",
  "--pink-900": "#8f0c4c",
  "--red-50": "#fff1f1",
  "--red-100": "#ffe3e3",
  "--red-200": "#ffcccf",
  "--red-300": "#ffa1a7",
  "--red-400": "#ff7d88",
  "--red-500": "#f93a4f",
  "--red-600": "#e71738",
  "--red-700": "#c30d2e",
  "--red-800": "#a30e2e",
  "--red-900": "#8b102f",
  "--orange-50": "#fff5ed",
  "--orange-100": "#ffe9d4",
  "--orange-200": "#ffcfa9",
  "--orange-300": "#ffb37d",
  "--orange-400": "#fe7f39",
  "--orange-500": "#fc5c13",
  "--orange-600": "#ed4109",
  "--orange-700": "#c52e09",
  "--orange-800": "#9c2610",
  "--orange-900": "#7e2111",
  "--yellow-50": "#fefde8",
  "--yellow-100": "#fffdc2",
  "--yellow-200": "#fff87b",
  "--yellow-300": "#ffee45",
  "--yellow-400": "#fcdd13",
  "--yellow-500": "#ecc406",
  "--yellow-600": "#cc9902",
  "--yellow-700": "#a26d06",
  "--yellow-800": "#86550d",
  "--yellow-900": "#724611",
  "--silver-tree-50": "#f3faf7",
  "--silver-tree-100": "#d8efe5",
  "--silver-tree-200": "#b1decc",
  "--silver-tree-300": "#82c6ad",
  "--silver-tree-400": "#5cab91",
  "--silver-tree-500": "#3e8e75",
  "--silver-tree-600": "#30715e",
  "--silver-tree-700": "#2a5b4e",
  "--silver-tree-800": "#254a40",
  "--silver-tree-900": "#223f37",
  "--gimblet-50": "#faf9f2",
  "--gimblet-100": "#f3f1e1",
  "--gimblet-200": "#e5e1c3",
  "--gimblet-300": "#d5cd9c",
  "--gimblet-400": "#bdac67",
  "--gimblet-500": "#b6a059",
  "--gimblet-600": "#a98d4d",
  "--gimblet-700": "#8c7142",
  "--gimblet-800": "#725c3a",
  "--gimblet-900": "#5d4b31",
  "--mongoose-50": "#f9f7f3",
  "--mongoose-100": "#f2ede2",
  "--mongoose-200": "#e4d9c4",
  "--mongoose-300": "#d2bf9f",
  "--mongoose-400": "#bfa178",
  "--mongoose-500": "#b28b5d",
  "--mongoose-600": "#a47852",
  "--mongoose-700": "#896245",
  "--mongoose-800": "#6f4f3d",
  "--mongoose-900": "#5b4233",
  "--muddy-waters-50": "#f9f4f1",
  "--muddy-waters-100": "#eedfd7",
  "--muddy-waters-200": "#dbbeac",
  "--muddy-waters-300": "#c89a81",
  "--muddy-waters-400": "#bd8167",
  "--muddy-waters-500": "#b06450",
  "--muddy-waters-600": "#9b4f44",
  "--muddy-waters-700": "#813d3c",
  "--muddy-waters-800": "#6b3538",
  "--muddy-waters-900": "#592e30",
  "--viola-50": "#faf5f7",
  "--viola-100": "#f6edf1",
  "--viola-200": "#eedce3",
  "--viola-300": "#e2bfcc",
  "--viola-400": "#ce97ab",
  "--viola-500": "#bc788f",
  "--viola-600": "#a75b71",
  "--viola-700": "#8e485a",
  "--viola-800": "#763e4c",
  "--viola-900": "#643742",
  "--light-wisteria-50": "#fbf8fc",
  "--light-wisteria-100": "#f6eef9",
  "--light-wisteria-200": "#f0e0f4",
  "--light-wisteria-300": "#e3c7eb",
  "--light-wisteria-400": "#d0a3dd",
  "--light-wisteria-500": "#bd7fcd",
  "--light-wisteria-600": "#aa62bb",
  "--light-wisteria-700": "#924ea2",
  "--light-wisteria-800": "#7a4485",
  "--light-wisteria-900": "#63386b",
  "--cold-purple-50": "#f6f6fc",
  "--cold-purple-100": "#efeef9",
  "--cold-purple-200": "#e1e0f4",
  "--cold-purple-300": "#cac6ec",
  "--cold-purple-400": "#a69ddc",
  "--cold-purple-500": "#9181d1",
  "--cold-purple-600": "#7d65c2",
  "--cold-purple-700": "#6c53ae",
  "--cold-purple-800": "#5b4592",
  "--cold-purple-900": "#4b3a78",
  "--polo-blue-50": "#f4f6fa",
  "--polo-blue-100": "#e6ebf3",
  "--polo-blue-200": "#d2dbeb",
  "--polo-blue-300": "#b4c4dc",
  "--polo-blue-400": "#97abce",
  "--polo-blue-500": "#758abc",
  "--polo-blue-600": "#6274ae",
  "--polo-blue-700": "#57639e",
  "--polo-blue-800": "#4b5382",
  "--polo-blue-900": "#3f4669",
  "--neptune-50": "#f2f9f9",
  "--neptune-100": "#ddeef0",
  "--neptune-200": "#bfdfe2",
  "--neptune-300": "#92c7ce",
  "--neptune-400": "#74b2bc",
  "--neptune-500": "#438a97",
  "--neptune-600": "#3a7280",
  "--neptune-700": "#345e6a",
  "--neptune-800": "#314f59",
  "--neptune-900": "#2d444c",
  "--mantis-50": "#f5faf3",
  "--mantis-100": "#e7f5e3",
  "--mantis-200": "#cfeac8",
  "--mantis-300": "#a9d89d",
  "--mantis-400": "#78bd67",
  "--mantis-500": "#57a245",
  "--mantis-600": "#448534",
  "--mantis-700": "#37692c",
  "--mantis-800": "#2f5427",
  "--mantis-900": "#284522",
  "--isbre-50": "#FCFDFD",
  "--isbre-100": "#F6F9F9",
  "--isbre-200": "#F1F5F5",
  "--isbre-300": "#ECF1F1",
  "--isbre-400": "#E6EDED",
  "--isbre-500": "#E1E8E9",
  "--isbre-600": "#DCE4E4",
  "--isbre-700": "#D7DFE0",
  "--text-primary": "var(--neutral-900)",
  "--text-secondary": "var(--neutral-600)",
  "--text-tertiary": "var(--neutral-400)",
  "--text-success": "var(--green-900)",
  "--text-warning": "var(--yellow-900)",
  "--text-danger": "var(--red-900)",
  "--text-info": "var(--blue-900)",
  "--text-emphasis": "var(--neutral-0)",
  "--text-interactive": "var(--silver-tree-600)",
  "--text-interactive-hover": "var(--silver-tree-700)",
  "--text-interactive-active": "var(--silver-tree-500)",
  "--text-button-primary": "var(--neutral-0)",
  "--text-button-secondary": "var(--neutral-900)",
  "--text-button-tertiary": "var(--silver-tree-600)",
  "--text-button-tertiary-hover": "var(--silver-tree-700)",
  "--text-button-tertiary-active": "var(--silver-tree-500)",
  "--text-button-danger-primary": "var(--neutral-0)",
  "--text-button-danger-secondary": "var(--red-800)",
  "--text-button-danger-tertiary": "var(--neutral-900)",
  "--text-button-danger-tertiary-hover": "var(--red-800)",
  "--text-button-danger-tertiary-active": "var(--red-600)",
  "--border-on-primary": "var(--neutral-200)",
  "--border-on-secondary": "var(--neutral-300)",
  "--border-on-tertiary": "var(--neutral-400)",
  "--border-success": "rgba(10,92,47,0.4)",
  "--border-warning": "rgba(115,71,17,0.4)",
  "--border-danger": "rgba(137,16,46,0.4)",
  "--border-info": "rgba(25,78,143,0.4)",
  "--border-emphasis": "var(--neutral-800)",
  "--border-button-primary": "var(--silver-tree-700)",
  "--border-button-primary-hover": "var(--silver-tree-800)",
  "--border-button-primary-active": "var(--silver-tree-600)",
  "--border-button-secondary": "var(--neutral-300)",
  "--border-button-secondary-hover": "var(--neutral-900)",
  "--border-button-secondary-active": "var(--neutral-400)",
  "--border-button-danger-primary": "var(--red-800)",
  "--border-button-danger-primary-hover": "var(--red-900)",
  "--border-button-danger-primary-active": "var(--red-700)",
  "--border-button-danger-secondary": "var(--neutral-300)",
  "--border-button-danger-secondary-hover": "var(--red-800)",
  "--border-button-danger-secondary-active": "var(--red-700)",
  "--bg-primary": "var(--neutral-0)",
  "--bg-primary-hover": "var(--isbre-50)",
  "--bg-primary-active": "var(--isbre-200)",
  "--bg-secondary": "var(--isbre-100)",
  "--bg-secondary-hover": "var(--isbre-200)",
  "--bg-secondary-active": "var(--isbre-300)",
  "--bg-tertiary": "var(--isbre-400)",
  "--bg-tertiary-hover": "var(--isbre-500)",
  "--bg-tertiary-active": "var(--isbre-600)",
  "--bg-success": "var(--green-50)",
  "--bg-warning": "var(--yellow-50)",
  "--bg-danger": "var(--red-50)",
  "--bg-info": "var(--blue-50)",
  "--bg-emphasis": "var(--neutral-900)",
  "--bg-button-primary": "var(--silver-tree-600)",
  "--bg-button-primary-hover": "var(--silver-tree-700)",
  "--bg-button-primary-active": "var(--silver-tree-500)",
  "--bg-button-secondary": "var(--neutral-0)",
  "--bg-button-secondary-hover": "var(--neutral-50)",
  "--bg-button-secondary-active": "var(--neutral-50)",
  "--bg-button-danger-primary": "var(--red-700)",
  "--bg-button-danger-primary-hover": "var(--red-800)",
  "--bg-button-danger-primary-active": "var(--red-600)",
  "--bg-button-danger-secondary": "var(--neutral-0)",
  "--bg-button-danger-secondary-hover": "var(--red-50)",
  "--bg-button-danger-secondary-active": "var(--red-50)"
}, qt = {
  "--text-primary": "var(--neutral-0)",
  "--text-secondary": "var(--brand-200)",
  "--text-tertiary": "var(--brand-400)",
  "--text-interactive": "#D8B9A6",
  "--text-interactive-hover": "var(--muddy-waters-300)",
  "--text-interactive-active": "#DFC5B4",
  "--text-button-primary": "var(--brand-800)",
  "--text-button-secondary": "var(--muddy-waters-200)",
  "--text-button-tertiary": "var(--muddy-waters-200)",
  "--text-button-tertiary-hover": "var(--muddy-waters-300)",
  "--text-button-tertiary-active": "#DFC5B4",
  "--border-on-primary": "var(--brand-400)",
  "--border-on-secondary": "var(--brand-300)",
  "--border-on-tertiary": "var(--brand-200)",
  "--border-button-primary-hover": "var(--muddy-waters-200)",
  "--border-button-primary-active": "var(--muddy-waters-50)",
  "--border-button-secondary": "var(--brand-500)",
  "--border-button-secondary-hover": "var(--brand-400)",
  "--border-button-secondary-active": "var(--brand-400)",
  "--bg-primary": "var(--brand-600)",
  "--bg-primary-hover": "var(--brand-700)",
  "--bg-primary-active": "var(--brand-500)",
  "--bg-secondary": "var(--brand-500)",
  "--bg-secondary-hover": "var(--brand-600)",
  "--bg-secondary-active": "var(--brand-400)",
  "--bg-tertiary": "var(--brand-400)",
  "--bg-tertiary-hover": "var(--brand-500)",
  "--bg-tertiary-active": "var(--brand-300)",
  "--bg-button-primary": "#D8B9A6",
  "--bg-button-primary-hover": "var(--muddy-waters-300)",
  "--bg-button-primary-active": "#DFC5B4",
  "--bg-button-secondary": "#00524B",
  "--bg-button-secondary-hover": "#004D47",
  "--bg-button-secondary-active": "#006159"
}, ja = function({ addBase: e }) {
  for (const [t, r] of Object.entries(Nt))
    e({
      ":root": {
        [t]: r
      }
    });
  for (const [t, r] of Object.entries(qt))
    e({
      '[data-context="alternative"]': {
        [t]: r
      }
    });
}, zt = {
  neutral: {
    0: "var(--neutral-0)",
    50: "var(--neutral-50)",
    100: "var(--neutral-100)",
    200: "var(--neutral-200)",
    300: "var(--neutral-300)",
    400: "var(--neutral-400)",
    500: "var(--neutral-500)",
    600: "var(--neutral-600)",
    700: "var(--neutral-700)",
    800: "var(--neutral-800)",
    900: "var(--neutral-900)"
  },
  brand: {
    50: "var(--brand-50)",
    100: "var(--brand-100)",
    200: "var(--brand-200)",
    300: "var(--brand-300)",
    400: "var(--brand-400)",
    500: "var(--brand-500)",
    600: "var(--brand-600)",
    700: "var(--brand-700)",
    800: "var(--brand-800)",
    900: "var(--brand-900)"
  },
  green: {
    50: "var(--green-50)",
    100: "var(--green-100)",
    200: "var(--green-200)",
    300: "var(--green-300)",
    400: "var(--green-400)",
    500: "var(--green-500)",
    600: "var(--green-600)",
    700: "var(--green-700)",
    800: "var(--green-800)",
    900: "var(--green-900)"
  },
  lime: {
    50: "var(--lime-50)",
    100: "var(--lime-100)",
    200: "var(--lime-200)",
    300: "var(--lime-300)",
    400: "var(--lime-400)",
    500: "var(--lime-500)",
    600: "var(--lime-600)",
    700: "var(--lime-700)",
    800: "var(--lime-800)",
    900: "var(--lime-900)"
  },
  teal: {
    50: "var(--teal-50)",
    100: "var(--teal-100)",
    200: "var(--teal-200)",
    300: "var(--teal-300)",
    400: "var(--teal-400)",
    500: "var(--teal-500)",
    600: "var(--teal-600)",
    700: "var(--teal-700)",
    800: "var(--teal-800)",
    900: "var(--teal-900)"
  },
  blue: {
    50: "var(--blue-50)",
    100: "var(--blue-100)",
    200: "var(--blue-200)",
    300: "var(--blue-300)",
    400: "var(--blue-400)",
    500: "var(--blue-500)",
    600: "var(--blue-600)",
    700: "var(--blue-700)",
    800: "var(--blue-800)",
    900: "var(--blue-900)"
  },
  purple: {
    50: "var(--purple-50)",
    100: "var(--purple-100)",
    200: "var(--purple-200)",
    300: "var(--purple-300)",
    400: "var(--purple-400)",
    500: "var(--purple-500)",
    600: "var(--purple-600)",
    700: "var(--purple-700)",
    800: "var(--purple-800)",
    900: "var(--purple-900)"
  },
  pink: {
    50: "var(--pink-50)",
    100: "var(--pink-100)",
    200: "var(--pink-200)",
    300: "var(--pink-300)",
    400: "var(--pink-400)",
    500: "var(--pink-500)",
    600: "var(--pink-600)",
    700: "var(--pink-700)",
    800: "var(--pink-800)",
    900: "var(--pink-900)"
  },
  red: {
    50: "var(--red-50)",
    100: "var(--red-100)",
    200: "var(--red-200)",
    300: "var(--red-300)",
    400: "var(--red-400)",
    500: "var(--red-500)",
    600: "var(--red-600)",
    700: "var(--red-700)",
    800: "var(--red-800)",
    900: "var(--red-900)"
  },
  orange: {
    50: "var(--orange-50)",
    100: "var(--orange-100)",
    200: "var(--orange-200)",
    300: "var(--orange-300)",
    400: "var(--orange-400)",
    500: "var(--orange-500)",
    600: "var(--orange-600)",
    700: "var(--orange-700)",
    800: "var(--orange-800)",
    900: "var(--orange-900)"
  },
  yellow: {
    50: "var(--yellow-50)",
    100: "var(--yellow-100)",
    200: "var(--yellow-200)",
    300: "var(--yellow-300)",
    400: "var(--yellow-400)",
    500: "var(--yellow-500)",
    600: "var(--yellow-600)",
    700: "var(--yellow-700)",
    800: "var(--yellow-800)",
    900: "var(--yellow-900)"
  },
  "silver-tree": {
    50: "var(--silver-tree-50)",
    100: "var(--silver-tree-100)",
    200: "var(--silver-tree-200)",
    300: "var(--silver-tree-300)",
    400: "var(--silver-tree-400)",
    500: "var(--silver-tree-500)",
    600: "var(--silver-tree-600)",
    700: "var(--silver-tree-700)",
    800: "var(--silver-tree-800)",
    900: "var(--silver-tree-900)"
  },
  gimblet: {
    50: "var(--gimblet-50)",
    100: "var(--gimblet-100)",
    200: "var(--gimblet-200)",
    300: "var(--gimblet-300)",
    400: "var(--gimblet-400)",
    500: "var(--gimblet-500)",
    600: "var(--gimblet-600)",
    700: "var(--gimblet-700)",
    800: "var(--gimblet-800)",
    900: "var(--gimblet-900)"
  },
  mongoose: {
    50: "var(--mongoose-50)",
    100: "var(--mongoose-100)",
    200: "var(--mongoose-200)",
    300: "var(--mongoose-300)",
    400: "var(--mongoose-400)",
    500: "var(--mongoose-500)",
    600: "var(--mongoose-600)",
    700: "var(--mongoose-700)",
    800: "var(--mongoose-800)",
    900: "var(--mongoose-900)"
  },
  "muddy-waters": {
    50: "var(--muddy-waters-50)",
    100: "var(--muddy-waters-100)",
    200: "var(--muddy-waters-200)",
    300: "var(--muddy-waters-300)",
    400: "var(--muddy-waters-400)",
    500: "var(--muddy-waters-500)",
    600: "var(--muddy-waters-600)",
    700: "var(--muddy-waters-700)",
    800: "var(--muddy-waters-800)",
    900: "var(--muddy-waters-900)"
  },
  viola: {
    50: "var(--viola-50)",
    100: "var(--viola-100)",
    200: "var(--viola-200)",
    300: "var(--viola-300)",
    400: "var(--viola-400)",
    500: "var(--viola-500)",
    600: "var(--viola-600)",
    700: "var(--viola-700)",
    800: "var(--viola-800)",
    900: "var(--viola-900)"
  },
  "light-wisteria": {
    50: "var(--light-wisteria-50)",
    100: "var(--light-wisteria-100)",
    200: "var(--light-wisteria-200)",
    300: "var(--light-wisteria-300)",
    400: "var(--light-wisteria-400)",
    500: "var(--light-wisteria-500)",
    600: "var(--light-wisteria-600)",
    700: "var(--light-wisteria-700)",
    800: "var(--light-wisteria-800)",
    900: "var(--light-wisteria-900)"
  },
  "cold-purple": {
    50: "var(--cold-purple-50)",
    100: "var(--cold-purple-100)",
    200: "var(--cold-purple-200)",
    300: "var(--cold-purple-300)",
    400: "var(--cold-purple-400)",
    500: "var(--cold-purple-500)",
    600: "var(--cold-purple-600)",
    700: "var(--cold-purple-700)",
    800: "var(--cold-purple-800)",
    900: "var(--cold-purple-900)"
  },
  "polo-blue": {
    50: "var(--polo-blue-50)",
    100: "var(--polo-blue-100)",
    200: "var(--polo-blue-200)",
    300: "var(--polo-blue-300)",
    400: "var(--polo-blue-400)",
    500: "var(--polo-blue-500)",
    600: "var(--polo-blue-600)",
    700: "var(--polo-blue-700)",
    800: "var(--polo-blue-800)",
    900: "var(--polo-blue-900)"
  },
  neptune: {
    50: "var(--neptune-50)",
    100: "var(--neptune-100)",
    200: "var(--neptune-200)",
    300: "var(--neptune-300)",
    400: "var(--neptune-400)",
    500: "var(--neptune-500)",
    600: "var(--neptune-600)",
    700: "var(--neptune-700)",
    800: "var(--neptune-800)",
    900: "var(--neptune-900)"
  },
  mantis: {
    50: "var(--mantis-50)",
    100: "var(--mantis-100)",
    200: "var(--mantis-200)",
    300: "var(--mantis-300)",
    400: "var(--mantis-400)",
    500: "var(--mantis-500)",
    600: "var(--mantis-600)",
    700: "var(--mantis-700)",
    800: "var(--mantis-800)",
    900: "var(--mantis-900)"
  },
  isbre: {
    50: "var(--isbre-50)",
    100: "var(--isbre-100)",
    200: "var(--isbre-200)",
    300: "var(--isbre-300)",
    400: "var(--isbre-400)",
    500: "var(--isbre-500)",
    600: "var(--isbre-600)",
    700: "var(--isbre-700)"
  }
};
function Ht(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var tt = {}, rt = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(r) {
    return Array.isArray(r) ? r.map((a) => t(a)) : typeof r == "object" && r !== null ? Object.fromEntries(Object.entries(r).map(([a, n]) => [
      a,
      t(n)
    ])) : r;
  }
})(rt);
var It = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "0",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "-apple-system",
        "BlinkMacSystemFont",
        '"Segoe UI"',
        "Roboto",
        '"Helvetica Neue"',
        "Arial",
        '"Noto Sans"',
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridTemplateColumns: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      none: "none",
      0: "0rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: {
      0: "0px",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    minWidth: {
      0: "0px",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      40: "0.4",
      50: "0.5",
      60: "0.6",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  const t = rt, r = /* @__PURE__ */ a(It);
  function a(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  const n = (0, t.cloneDeep)(r.default.theme);
})(tt);
let $e = tt;
var Vt = ($e.__esModule ? $e : { default: $e }).default;
const Qe = /* @__PURE__ */ Ht(Vt), Wt = {
  sans: ["Archivo", ...Qe.fontFamily.sans],
  serif: ["IBM Plex Serif", ...Qe.fontFamily.serif]
}, Zt = {
  xxs: "0.625rem"
  // 10px
  // Uses default font sizes otherwise
}, Qt = {
  4.5: "1.125rem"
}, Gt = {
  primary: "var(--text-primary)",
  secondary: "var(--text-secondary)",
  tertiary: "var(--text-tertiary)",
  success: {
    DEFAULT: "var(--text-success)"
  },
  warning: {
    DEFAULT: "var(--text-warning)"
  },
  danger: {
    DEFAULT: "var(--text-danger)"
  },
  info: {
    DEFAULT: "var(--text-info)"
  },
  emphasis: {
    DEFAULT: "var(--text-emphasis)"
  },
  interactive: {
    DEFAULT: "var(--text-interactive)",
    hover: "var(--text-interactive-hover)",
    active: "var(--text-interactive-active)"
  },
  button: {
    primary: {
      DEFAULT: "var(--text-button-primary)"
    },
    secondary: {
      DEFAULT: "var(--text-button-secondary)"
    },
    tertiary: {
      DEFAULT: "var(--text-button-tertiary)",
      hover: "var(--text-button-tertiary-hover)",
      active: "var(--text-button-tertiary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--text-button-danger-primary)"
      },
      secondary: {
        DEFAULT: "var(--text-button-danger-secondary)"
      },
      tertiary: {
        DEFAULT: "var(--text-button-danger-tertiary)",
        hover: "var(--text-button-danger-tertiary-hover)",
        active: "var(--text-button-danger-tertiary-active)"
      }
    }
  }
}, Yt = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Xt = {
  primary: {
    DEFAULT: "var(--bg-primary)",
    hover: "var(--bg-primary-hover)",
    active: "var(--bg-primary-active)"
  },
  secondary: {
    DEFAULT: "var(--bg-secondary)",
    hover: "var(--bg-secondary-hover)",
    active: "var(--bg-secondary-active)"
  },
  tertiary: {
    DEFAULT: "var(--bg-tertiary)",
    hover: "var(--bg-tertiary-hover)",
    active: "var(--bg-tertiary-active)"
  },
  success: {
    DEFAULT: "var(--bg-success)"
  },
  warning: {
    DEFAULT: "var(--bg-warning)"
  },
  danger: {
    DEFAULT: "var(--bg-danger)"
  },
  info: {
    DEFAULT: "var(--bg-info)"
  },
  emphasis: {
    DEFAULT: "var(--bg-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--bg-button-primary)",
      hover: "var(--bg-button-primary-hover)",
      active: "var(--bg-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--bg-button-secondary)",
      hover: "var(--bg-button-secondary-hover)",
      active: "var(--bg-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--bg-button-danger-primary)",
        hover: "var(--bg-button-danger-primary-hover)",
        active: "var(--bg-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--bg-button-danger-secondary)",
        hover: "var(--bg-button-danger-secondary-hover)",
        active: "var(--bg-button-danger-secondary-active)"
      }
    }
  }
}, Jt = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Kt = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Na = {
  theme: {
    extend: {
      fontFamily: Wt,
      fontSize: Zt,
      lineHeight: Qt,
      colors: zt,
      textColor: Gt,
      borderColor: Yt,
      backgroundColor: Xt,
      outlineColor: Jt,
      ringColor: Kt
    }
  }
};
function Ge(e, t = 0, r = 1e3) {
  if (r <= 0.1)
    return { value: e };
  const a = h(t);
  function n(o, i) {
    const l = Date.now(), s = r, u = i - o, c = () => {
      const v = Date.now() - l, w = er(v, o, u, s);
      v < s ? (a.value = Math.floor(w), window.requestAnimationFrame(c)) : a.value = i;
    };
    c();
  }
  return oe(
    e,
    (o) => {
      n(a.value ?? t, o);
    },
    { immediate: !0 }
  ), { value: a };
}
function er(e, t, r, a) {
  return e /= a, -r * e * (e - 2) + t;
}
const Ue = /* @__PURE__ */ F({
  __name: "BccButton",
  props: {
    is: { default: "button" },
    variant: { default: "primary" },
    context: { default: "default" },
    size: { default: "base" },
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    center: { type: Boolean, default: !0 },
    rounded: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = e, r = Ke(), a = t.icon !== void 0 && !r.default;
    return (n, o) => (d(), R(ce(n.is), {
      disabled: n.disabled,
      class: B(["bcc-button", {
        "bcc-button-xs": n.size === "xs",
        "bcc-button-sm": n.size === "sm",
        "bcc-button-lg": n.size === "lg",
        "bcc-button-xl": n.size === "xl",
        "bcc-button-danger": n.context === "danger",
        "bcc-button-primary": n.variant === "primary",
        "bcc-button-secondary": n.variant === "secondary",
        "bcc-button-tertiary": n.variant === "tertiary",
        "bcc-button-icon-only": y(a),
        "bcc-button-rounded": n.rounded,
        "bcc-button-center": n.center
      }])
    }, {
      default: U(() => [
        n.icon ? (d(), R(ce(n.icon), {
          key: 0,
          class: "bcc-button-icon order-2"
        })) : L("", !0),
        n.$slots.default ? (d(), b("span", {
          key: 1,
          class: B([n.iconRight ? "order-1" : "order-3"])
        }, [
          W(n.$slots, "default")
        ], 2)) : L("", !0)
      ]),
      _: 3
    }, 8, ["disabled", "class"]));
  }
}), tr = { class: "space-y-2" }, rr = {
  key: 0,
  class: "bcc-input-label"
}, ar = {
  key: 1,
  class: "bcc-input-optional-label"
}, nr = ["disabled", "required", "value"], or = {
  inheritAttrs: !1
}, qa = /* @__PURE__ */ F({
  ...or,
  __name: "BccInput",
  props: {
    modelValue: {},
    state: { default: "default" },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e) {
    const t = e, r = f(() => t.showOptionalLabel && !t.required), a = At(), n = f(() => {
      let o = {};
      for (const i in a)
        i !== "class" && i !== "style" && (o[i] = a[i]);
      return o;
    });
    return (o, i) => (d(), b("div", {
      class: B(["inline-flex flex-col space-y-2", o.$attrs.class]),
      style: Ct(o.$attrs.style)
    }, [
      T("label", tr, [
        o.label || r.value ? (d(), b("span", {
          key: 0,
          class: B(["flex gap-x-2", {
            "justify-between": o.label && r.value,
            "justify-end": !o.label && r.value
          }])
        }, [
          o.label ? (d(), b("span", rr, q(o.label), 1)) : L("", !0),
          r.value ? (d(), b("span", ar, q(o.optionalLabel), 1)) : L("", !0)
        ], 2)) : L("", !0),
        T("input", et({
          disabled: o.disabled,
          required: o.required,
          class: ["bcc-input", {
            "bcc-input-error": o.state === "error",
            "bcc-input-success": o.state === "success"
          }],
          value: o.modelValue,
          onInput: i[0] || (i[0] = (l) => o.$emit("update:modelValue", l.target.value))
        }, n.value), null, 16, nr)
      ]),
      o.$slots.default ? (d(), b("span", {
        key: 0,
        class: B({
          "bcc-input-message-default": o.state === "default",
          "bcc-input-message-error": o.state === "error",
          "bcc-input-message-success": o.state === "success"
        })
      }, [
        W(o.$slots, "default")
      ], 2)) : L("", !0)
    ], 6));
  }
}), ir = { class: "order-2" }, za = /* @__PURE__ */ F({
  __name: "BccBadge",
  props: {
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    size: { default: "xs" },
    context: { default: "neutral" }
  },
  setup(e) {
    return (t, r) => (d(), b("div", {
      class: B(["bcc-badge", {
        "bcc-badge-sm": t.size === "sm",
        "bcc-badge-danger": t.context === "danger",
        "bcc-badge-warning": t.context === "warning",
        "bcc-badge-success": t.context === "success",
        "bcc-badge-info": t.context === "info"
      }])
    }, [
      t.icon ? (d(), R(ce(t.icon), {
        key: 0,
        class: B(["bcc-badge-icon", [t.iconRight ? "order-3" : "order-1"]])
      }, null, 8, ["class"])) : L("", !0),
      T("span", ir, [
        W(t.$slots, "default")
      ])
    ], 2));
  }
}), lr = { key: 1 }, Ha = /* @__PURE__ */ F({
  __name: "BccPin",
  props: {
    icon: {},
    context: { default: "neutral" },
    text: {}
  },
  setup(e) {
    return (t, r) => (d(), b("div", {
      class: B(["bcc-pin", {
        "bcc-pin-danger": t.context === "danger",
        "bcc-pin-warning": t.context === "warning",
        "bcc-pin-success": t.context === "success",
        "bcc-pin-info": t.context === "info"
      }])
    }, [
      t.icon ? (d(), R(ce(t.icon), {
        key: 0,
        class: "bcc-pin-icon"
      })) : t.text ? (d(), b("span", lr, q(t.text), 1)) : L("", !0)
    ], 2));
  }
}), sr = /* @__PURE__ */ T("circle", {
  cx: "20",
  cy: "20",
  r: "18",
  fill: "none",
  "stroke-width": "2",
  stroke: "currentColor"
}, null, -1), ur = ["stroke-dashoffset"], cr = {
  key: 1,
  "text-anchor": "middle",
  x: "20",
  y: "25",
  "font-size": "14",
  "font-weight": "600",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, dr = {
  key: 2,
  d: "M14.4122 25.1588C13.1109 25.1588 12.017 24.6844 11.1305 23.7354C10.244 22.7864 9.80078 21.6525 9.80078 20.3337C9.80078 19.0287 10.2475 17.9121 11.1409 16.984C12.0343 16.0559 13.1247 15.5918 14.4122 15.5918C14.9358 15.5918 15.4424 15.679 15.9319 15.8533C16.4214 16.0277 16.8557 16.2965 17.2347 16.6597L19.0662 18.417L17.885 19.5628L16.1877 17.9045C15.9538 17.6704 15.6828 17.5015 15.3745 17.3978C15.0663 17.294 14.7475 17.2422 14.4182 17.2422C13.5803 17.2422 12.8763 17.5449 12.3063 18.1504C11.7362 18.756 11.4512 19.4851 11.4512 20.3379C11.4512 21.2047 11.7327 21.9497 12.2957 22.5732C12.8587 23.1967 13.566 23.5085 14.4176 23.5085C14.7413 23.5085 15.0554 23.4567 15.3599 23.3532C15.6644 23.2497 15.9391 23.088 16.1839 22.8681L22.7673 16.6597C23.1462 16.2965 23.5805 16.0277 24.07 15.8533C24.5596 15.679 25.0592 15.5918 25.5689 15.5918C26.8702 15.5918 27.9676 16.0559 28.861 16.984C29.7544 17.9121 30.2012 19.0287 30.2012 20.3337C30.2012 21.6525 29.7544 22.7864 28.861 23.7354C27.9676 24.6844 26.8702 25.1588 25.5689 25.1588C25.0592 25.1588 24.5561 25.0751 24.0596 24.9077C23.5631 24.7403 23.1324 24.475 22.7673 24.1117L20.9892 22.3545L22.1586 21.2087L23.8177 22.8681C24.0383 23.0885 24.3035 23.2503 24.6133 23.3536C24.9231 23.4568 25.2398 23.5085 25.5635 23.5085C26.4151 23.5085 27.1259 23.1961 27.6958 22.5714C28.2658 21.9467 28.5508 21.2021 28.5508 20.3377C28.5508 19.4872 28.2623 18.7586 27.6854 18.152C27.1085 17.5455 26.4012 17.2422 25.5635 17.2422C25.2398 17.2422 24.9257 17.3009 24.6212 17.4183C24.3167 17.5357 24.0489 17.7043 23.818 17.9242L17.2347 24.1326C16.8557 24.4819 16.418 24.7403 15.9215 24.9077C15.425 25.0751 14.9219 25.1588 14.4122 25.1588Z",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, Ia = /* @__PURE__ */ F({
  __name: "BccCapacityIndicator",
  props: {
    total: {},
    used: { default: 0 },
    size: { default: "base" },
    animationDuration: { default: 1e3 }
  },
  setup(e) {
    const t = e, { value: r } = Ge(
      Dt(t, "used"),
      t.used,
      t.animationDuration
    ), a = f(() => t.total === -1 ? -1 : t.used > t.total || t.used === t.total ? 100 : t.total > 0 ? t.used / t.total * 100 : 0), { value: n } = Ge(
      a,
      a.value,
      t.animationDuration
    ), o = Math.PI * 18 * 2;
    return (i, l) => (d(), b("svg", {
      width: "2em",
      height: "2em",
      viewBox: "0 0 40 40",
      class: B(["bcc-capacity-indicator", {
        "bcc-capacity-indicator-lg": i.size == "lg",
        "bcc-capacity-indicator-open": i.total == -1 || y(n) >= 0 && y(n) < 50,
        "bcc-capacity-indicator-warning": y(n) >= 50 && y(n) < 100,
        "bcc-capacity-indicator-full": y(n) >= 100
      }])
    }, [
      sr,
      y(n) > -1 ? (d(), b("circle", {
        key: 0,
        cx: "20",
        cy: "20",
        r: "18",
        fill: "none",
        "stroke-width": "2",
        "stroke-dasharray": o,
        "stroke-dashoffset": o * ((100 - y(n)) / 100),
        stroke: "currentColor",
        transform: "rotate(-90 20 20)",
        class: "bcc-capacity-indicator-circle-used"
      }, null, 8, ur)) : L("", !0),
      y(n) > -1 ? (d(), b("text", cr, q(y(n) < 100 ? i.total - y(r) : 0), 1)) : (d(), b("path", dr))
    ], 2));
  }
}), Va = /* @__PURE__ */ F({
  __name: "BccAvatar",
  props: {
    initials: {},
    gender: { default: "unknown" },
    child: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(e) {
    return (t, r) => (d(), b("div", {
      class: B(["bcc-avatar", {
        "bcc-avatar-xs": t.size === "xs",
        "bcc-avatar-man": !t.child && t.gender === "male",
        "bcc-avatar-woman": !t.child && t.gender === "female",
        "bcc-avatar-person": !t.child && t.gender === "unknown",
        "bcc-avatar-boy": t.child && t.gender === "male",
        "bcc-avatar-girl": t.child && t.gender === "female",
        "bcc-avatar-child": t.child && t.gender === "unknown"
      }])
    }, q(t.initials.slice(0, 2)), 3));
  }
});
function at(e, t) {
  return d(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    T("path", { d: "M378 802.065q-6.717 0-12.554-2.358-5.837-2.359-11.316-7.837l-181-181q-10.195-10.196-10.195-24.87 0-14.674 10.195-24.87 10.196-10.195 23.99-10.195 13.793 0 24.228 10.195L378 717.782 737.891 358.13q10.196-10.195 24.37-10.315 14.174-.119 24.369 10.315 10.196 10.196 10.196 24.49 0 14.293-10.196 24.489L401.87 791.87q-5.479 5.478-11.316 7.837-5.837 2.358-12.554 2.358Z" })
  ]);
}
function nt(e, t) {
  return d(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    T("path", { d: "M480 623.739 272.87 830.87q-10.196 10.195-23.87 10.195-13.674 0-23.87-10.195-10.195-10.196-10.195-23.87 0-13.674 10.195-23.87L432.261 576 225.13 368.87q-10.195-10.196-10.195-23.87 0-13.674 10.195-23.87 10.196-10.195 23.87-10.195 13.674 0 23.87 10.195L480 528.261 687.13 321.13q10.196-10.195 23.87-10.195 13.674 0 23.87 10.195 10.195 10.196 10.195 23.87 0 13.674-10.195 23.87L527.739 576 734.87 783.13q10.195 10.196 10.195 23.87 0 13.674-10.195 23.87-10.196 10.195-23.87 10.195-13.674 0-23.87-10.195L480 623.739Z" })
  ]);
}
function pr(e, t) {
  return d(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    T("path", { d: "M420.118 498Q446 498 464 479.882q18-18.117 18-44Q482 410 463.882 392q-18.117-18-44-18Q394 374 376 392.118q-18 18.117-18 44Q358 462 376.118 480q18.117 18 44 18Zm-80 200Q366 698 384 679.882q18-18.117 18-44Q402 610 383.882 592q-18.117-18-44-18Q314 574 296 592.118q-18 18.117-18 44Q278 662 296.118 680q18.117 18 44 18ZM600 736q17 0 28.5-11.5T640 696q0-17-11.5-28.5T600 656q-17 0-28.5 11.5T560 696q0 17 11.5 28.5T600 736ZM480.162 980.065q-83.119 0-156.836-31.858-73.717-31.859-128.696-86.837-54.978-54.979-86.837-128.741Q75.935 658.867 75.935 576q0-84.63 32.337-158.348 32.337-73.717 87.174-128.598 54.837-54.88 127.315-86.641 72.478-31.761 153-32.478 33.913 0 54.967 15.956 21.055 15.957 25.816 49.631 7.76 57.282 47.967 96.467 40.206 39.185 96.728 47.663 21.957 3 34.913 16.837 12.957 13.837 18.435 39.033 5.717 29.326 25.402 52.869 19.685 23.544 46.772 37.065 33.416 16.136 46.36 38.242 12.944 22.106 8.944 56.737-7.717 74.545-41.956 139.99-34.239 65.445-87.979 114.303-53.739 48.859-123.184 77.098-69.445 28.239-148.784 28.239Zm-.091-68.13q139.814 0 232.122-91.587 92.307-91.587 104.263-225.957-53.043-20-86.304-59.261-33.261-39.26-41.261-89.543-80.043-11.239-135.902-69.761-55.859-58.522-64.576-136.282-70.891-2.044-133.717 24-62.826 26.043-109.609 71.728-46.783 45.685-73.902 108.072-27.12 62.387-27.12 132.656 0 140.431 97.752 238.183 97.752 97.752 238.254 97.752Zm.69-340.218Z" })
  ]);
}
function vr(e, t) {
  return d(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    T("path", { d: "M222.152 981.5q-28.104 0-48.117-20.013-20.013-20.014-20.013-48.117V483.674q0-28.203 20.013-48.286 20.013-20.084 48.117-20.084h65.218v-90.739q0-80.366 56.265-136.857 56.266-56.491 136.414-56.491 80.147 0 136.364 56.491t56.217 136.857v90.739h65.218q28.202 0 48.286 20.084 20.084 20.083 20.084 48.286V913.37q0 28.103-20.084 48.117Q766.05 981.5 737.848 981.5H222.152Zm0-68.13h515.696V483.674H222.152V913.37Zm258.016-137.848q31.832 0 54.332-22.032 22.5-22.031 22.5-52.968 0-30-22.668-54.5t-54.5-24.5q-31.832 0-54.332 24.5t-22.5 55q0 30.5 22.668 52.5t54.5 22ZM355.5 415.304h249V324.62q0-52.388-36.152-88.711-36.152-36.322-88.174-36.322-52.022 0-88.348 36.322Q355.5 272.232 355.5 324.62v90.684ZM222.152 913.37V483.674 913.37Z" })
  ]);
}
function fr(e, t) {
  return d(), b("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    T("path", { d: "M601.217 746.043q9.623 9.957 22.986 9.837 13.362-.119 24.059-10.816 10.977-10.738 11.358-24.934.38-14.195-10.337-23.913L515.63 562.461V395.587q0-13.196-9.241-22.413-9.242-9.217-23.339-9.217-14.096 0-23.388 9.256-9.292 9.256-9.292 23.374v178.935q0 6.603 2.358 12.446 2.359 5.843 6.837 11.423l141.652 146.652ZM480.033 981.978q-83.468 0-157.514-31.946t-129.32-87.211q-55.274-55.265-87.226-129.3-31.951-74.034-31.951-157.495t31.998-157.534q31.998-74.073 87.199-129.273 55.2-55.201 129.251-87.319 74.05-32.118 157.53-32.118T637.53 201.9q74.051 32.118 129.251 87.319 55.201 55.2 87.319 129.251 32.118 74.05 32.118 157.53T854.1 733.53q-32.118 74.051-87.319 129.251-55.2 55.201-129.24 87.199-74.04 31.998-157.508 31.998ZM480 576Zm-.122 337.848q139.165 0 238.568-99.163 99.402-99.163 99.402-238.565 0-139.403-99.371-238.685-99.37-99.283-238.475-99.283-139.285 0-238.567 99.253Q142.152 436.658 142.152 576q0 139.522 99.281 238.685 99.28 99.163 238.445 99.163Z" })
  ]);
}
const br = (e, t) => {
  const r = e.__vccOpts || e;
  for (const [a, n] of t)
    r[a] = n;
  return r;
}, mr = {}, gr = {
  fill: "none",
  viewBox: "0 0 58 58",
  "aria-hidden": "true"
}, yr = /* @__PURE__ */ $t('<g transform="translate(2 1)" stroke="currentColor" stroke-width="1.5" class="h-3 w-3"><circle cx="42.601" cy="11.462" r="5" fill-opacity="1" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="1;0;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="49.063" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;1;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="42.601" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;1;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="49.125" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;1;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;1;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="4.938" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;1;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="11.462" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;1;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="5" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;0;1" calcMode="linear" repeatCount="indefinite"></animate></circle></g>', 1), hr = [
  yr
];
function wr(e, t) {
  return d(), b("svg", gr, hr);
}
const xr = /* @__PURE__ */ br(mr, [["render", wr]]), Er = ["disabled"], Tr = {
  class: "bcc-toggle-circle",
  "aria-hidden": "true"
}, Fr = {
  key: 0,
  class: "bcc-toggle-label"
}, Wa = /* @__PURE__ */ F({
  __name: "BccToggle",
  props: {
    modelValue: { type: Boolean },
    wasToggled: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    withIcon: { type: Boolean, default: !0 },
    label: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, wasToggled: n, disabled: o, loading: i } = St(r), l = f({
      get() {
        return !!a.value;
      },
      set(s) {
        t("update:modelValue", s);
      }
    });
    return (s, u) => (d(), b("label", {
      class: B(["bcc-toggle", { "bcc-toggle-was-toggled": y(n) }])
    }, [
      Ot(T("input", {
        type: "checkbox",
        class: "bcc-toggle-input",
        disabled: y(i) || y(o),
        "onUpdate:modelValue": u[0] || (u[0] = (c) => l.value = c)
      }, null, 8, Er), [
        [Bt, l.value]
      ]),
      T("span", Tr, [
        y(i) ? (d(), R(xr, {
          key: 0,
          class: "h-3 w-3"
        })) : s.withIcon ? (d(), b(Fe, { key: 1 }, [
          S(y(at), { class: "hidden h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:block" }),
          S(y(nt), { class: "h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:hidden" })
        ], 64)) : L("", !0)
      ]),
      s.label ? (d(), b("span", Fr, q(s.label), 1)) : L("", !0)
    ], 2));
  }
}), Za = /* @__PURE__ */ F({
  __name: "BccStatusIndicator",
  props: {
    status: { default: "default" },
    icon: {},
    size: { default: "base" }
  },
  setup(e) {
    return (t, r) => (d(), b("div", {
      class: B(["bcc-status-indicator", {
        "bcc-status-indicator-lg": t.size === "lg",
        "bcc-status-indicator-success": t.status === "success",
        "bcc-status-indicator-danger": t.status === "danger"
      }])
    }, [
      t.icon ? (d(), R(ce(t.icon), {
        key: 0,
        class: "bcc-status-indicator-icon"
      })) : t.status == "default" ? (d(), R(y(fr), {
        key: 1,
        class: "bcc-status-indicator-icon"
      })) : t.status == "success" ? (d(), R(y(at), {
        key: 2,
        class: "bcc-status-indicator-icon"
      })) : t.status == "danger" ? (d(), R(y(vr), {
        key: 3,
        class: "bcc-status-indicator-icon"
      })) : L("", !0)
    ], 2));
  }
}), Lr = {
  key: 0,
  class: "bcc-cookie-banner-overlay"
}, kr = {
  key: 0,
  class: "bcc-cookie-banner-wrapper"
}, Ar = { class: "bcc-cookie-banner" }, Cr = { class: "bcc-cookie-banner-content" }, Dr = { class: "bcc-cookie-banner-title" }, $r = { class: "bcc-cookie-banner-actions" }, Qa = /* @__PURE__ */ F({
  __name: "BccCookieBanner",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    showOverlay: { type: Boolean, default: !0 },
    declineButtonText: { default: "Decline" },
    acceptButtonText: { default: "Accept" }
  },
  emits: ["accept", "decline"],
  setup(e, { emit: t }) {
    return (r, a) => (d(), b(Fe, null, [
      r.showOverlay ? (d(), R(Ze, {
        key: 0,
        name: "fade"
      }, {
        default: U(() => [
          r.open ? (d(), b("div", Lr)) : L("", !0)
        ]),
        _: 1
      })) : L("", !0),
      S(Ze, { name: "fade-fast" }, {
        default: U(() => [
          r.open ? (d(), b("div", kr, [
            T("div", Ar, [
              T("div", Cr, [
                T("div", Dr, [
                  S(y(pr), { class: "bcc-cookie-banner-icon" }),
                  T("h4", null, q(r.title), 1)
                ]),
                T("p", null, [
                  W(r.$slots, "default")
                ])
              ]),
              T("div", $r, [
                S(Ue, {
                  variant: "secondary",
                  onClick: a[0] || (a[0] = (n) => t("decline")),
                  class: "bcc-cookie-banner-decline-button"
                }, {
                  default: U(() => [
                    xe(q(r.declineButtonText), 1)
                  ]),
                  _: 1
                }),
                S(Ue, {
                  onClick: a[1] || (a[1] = (n) => t("accept")),
                  class: "bcc-cookie-banner-accept-button"
                }, {
                  default: U(() => [
                    xe(q(r.acceptButtonText), 1)
                  ]),
                  _: 1
                })
              ])
            ])
          ])) : L("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
});
function z(e, t, ...r) {
  if (e in t) {
    let n = t[e];
    return typeof n == "function" ? n(...r) : n;
  }
  let a = new Error(`Tried to handle "${e}" but there is no handler defined. Only defined handlers are: ${Object.keys(t).map((n) => `"${n}"`).join(", ")}.`);
  throw Error.captureStackTrace && Error.captureStackTrace(a, z), a;
}
var Ee = ((e) => (e[e.None = 0] = "None", e[e.RenderStrategy = 1] = "RenderStrategy", e[e.Static = 2] = "Static", e))(Ee || {}), G = ((e) => (e[e.Unmount = 0] = "Unmount", e[e.Hidden = 1] = "Hidden", e))(G || {});
function P({ visible: e = !0, features: t = 0, ourProps: r, theirProps: a, ...n }) {
  var o;
  let i = it(a, r), l = Object.assign(n, { props: i });
  if (e || t & 2 && i.static)
    return Se(l);
  if (t & 1) {
    let s = (o = i.unmount) == null || o ? 0 : 1;
    return z(s, { [0]() {
      return null;
    }, [1]() {
      return Se({ ...n, props: { ...i, hidden: !0, style: { display: "none" } } });
    } });
  }
  return Se(l);
}
function Se({ props: e, attrs: t, slots: r, slot: a, name: n }) {
  var o, i;
  let { as: l, ...s } = lt(e, ["unmount", "static"]), u = (o = r.default) == null ? void 0 : o.call(r, a), c = {};
  if (a) {
    let v = !1, w = [];
    for (let [p, m] of Object.entries(a))
      typeof m == "boolean" && (v = !0), m === !0 && w.push(p);
    v && (c["data-headlessui-state"] = w.join(" "));
  }
  if (l === "template") {
    if (u = ot(u ?? []), Object.keys(s).length > 0 || Object.keys(t).length > 0) {
      let [v, ...w] = u ?? [];
      if (!Sr(v) || w.length > 0)
        throw new Error(['Passing props on "template"!', "", `The current component <${n} /> is rendering a "template".`, "However we need to passthrough the following props:", Object.keys(s).concat(Object.keys(t)).map((g) => g.trim()).filter((g, _, Y) => Y.indexOf(g) === _).sort((g, _) => g.localeCompare(_)).map((g) => `  - ${g}`).join(`
`), "", "You can apply a few solutions:", ['Add an `as="..."` prop, to ensure that we render an actual element instead of a "template".', "Render a single element as the child so that we can forward the props onto that element."].map((g) => `  - ${g}`).join(`
`)].join(`
`));
      let p = it((i = v.props) != null ? i : {}, s), m = Pt(v, p);
      for (let g in p)
        g.startsWith("on") && (m.props || (m.props = {}), m.props[g] = p[g]);
      return m;
    }
    return Array.isArray(u) && u.length === 1 ? u[0] : u;
  }
  return D(l, Object.assign({}, s, c), { default: () => u });
}
function ot(e) {
  return e.flatMap((t) => t.type === Fe ? ot(t.children) : [t]);
}
function it(...e) {
  if (e.length === 0)
    return {};
  if (e.length === 1)
    return e[0];
  let t = {}, r = {};
  for (let a of e)
    for (let n in a)
      n.startsWith("on") && typeof a[n] == "function" ? (r[n] != null || (r[n] = []), r[n].push(a[n])) : t[n] = a[n];
  if (t.disabled || t["aria-disabled"])
    return Object.assign(t, Object.fromEntries(Object.keys(r).map((a) => [a, void 0])));
  for (let a in r)
    Object.assign(t, { [a](n, ...o) {
      let i = r[a];
      for (let l of i) {
        if (n instanceof Event && n.defaultPrevented)
          return;
        l(n, ...o);
      }
    } });
  return t;
}
function lt(e, t = []) {
  let r = Object.assign({}, e);
  for (let a of t)
    a in r && delete r[a];
  return r;
}
function Sr(e) {
  return e == null ? !1 : typeof e.type == "string" || typeof e.type == "object" || typeof e.type == "function";
}
let Or = 0;
function Br() {
  return ++Or;
}
function ae() {
  return Br();
}
var st = ((e) => (e.Space = " ", e.Enter = "Enter", e.Escape = "Escape", e.Backspace = "Backspace", e.Delete = "Delete", e.ArrowLeft = "ArrowLeft", e.ArrowUp = "ArrowUp", e.ArrowRight = "ArrowRight", e.ArrowDown = "ArrowDown", e.Home = "Home", e.End = "End", e.PageUp = "PageUp", e.PageDown = "PageDown", e.Tab = "Tab", e))(st || {});
function A(e) {
  var t;
  return e == null || e.value == null ? null : (t = e.value.$el) != null ? t : e.value;
}
let ut = Symbol("Context");
var O = ((e) => (e[e.Open = 1] = "Open", e[e.Closed = 2] = "Closed", e[e.Closing = 4] = "Closing", e[e.Opening = 8] = "Opening", e))(O || {});
function Pr() {
  return He() !== null;
}
function He() {
  return H(ut, null);
}
function Ur(e) {
  Z(ut, e);
}
var _r = Object.defineProperty, Mr = (e, t, r) => t in e ? _r(e, t, { enumerable: !0, configurable: !0, writable: !0, value: r }) : e[t] = r, Ye = (e, t, r) => (Mr(e, typeof t != "symbol" ? t + "" : t, r), r);
class Rr {
  constructor() {
    Ye(this, "current", this.detect()), Ye(this, "currentId", 0);
  }
  set(t) {
    this.current !== t && (this.currentId = 0, this.current = t);
  }
  reset() {
    this.set(this.detect());
  }
  nextId() {
    return ++this.currentId;
  }
  get isServer() {
    return this.current === "server";
  }
  get isClient() {
    return this.current === "client";
  }
  detect() {
    return typeof window > "u" || typeof document > "u" ? "server" : "client";
  }
}
let de = new Rr();
function pe(e) {
  if (de.isServer)
    return null;
  if (e instanceof Node)
    return e.ownerDocument;
  if (e != null && e.hasOwnProperty("value")) {
    let t = A(e);
    if (t)
      return t.ownerDocument;
  }
  return document;
}
let _e = ["[contentEditable=true]", "[tabindex]", "a[href]", "area[href]", "button:not([disabled])", "iframe", "input:not([disabled])", "select:not([disabled])", "textarea:not([disabled])"].map((e) => `${e}:not([tabindex='-1'])`).join(",");
var Q = ((e) => (e[e.First = 1] = "First", e[e.Previous = 2] = "Previous", e[e.Next = 4] = "Next", e[e.Last = 8] = "Last", e[e.WrapAround = 16] = "WrapAround", e[e.NoScroll = 32] = "NoScroll", e))(Q || {}), ct = ((e) => (e[e.Error = 0] = "Error", e[e.Overflow = 1] = "Overflow", e[e.Success = 2] = "Success", e[e.Underflow = 3] = "Underflow", e))(ct || {}), jr = ((e) => (e[e.Previous = -1] = "Previous", e[e.Next = 1] = "Next", e))(jr || {});
function Nr(e = document.body) {
  return e == null ? [] : Array.from(e.querySelectorAll(_e)).sort((t, r) => Math.sign((t.tabIndex || Number.MAX_SAFE_INTEGER) - (r.tabIndex || Number.MAX_SAFE_INTEGER)));
}
var dt = ((e) => (e[e.Strict = 0] = "Strict", e[e.Loose = 1] = "Loose", e))(dt || {});
function qr(e, t = 0) {
  var r;
  return e === ((r = pe(e)) == null ? void 0 : r.body) ? !1 : z(t, { [0]() {
    return e.matches(_e);
  }, [1]() {
    let a = e;
    for (; a !== null; ) {
      if (a.matches(_e))
        return !0;
      a = a.parentElement;
    }
    return !1;
  } });
}
function re(e) {
  e == null || e.focus({ preventScroll: !0 });
}
let zr = ["textarea", "input"].join(",");
function Hr(e) {
  var t, r;
  return (r = (t = e == null ? void 0 : e.matches) == null ? void 0 : t.call(e, zr)) != null ? r : !1;
}
function Ir(e, t = (r) => r) {
  return e.slice().sort((r, a) => {
    let n = t(r), o = t(a);
    if (n === null || o === null)
      return 0;
    let i = n.compareDocumentPosition(o);
    return i & Node.DOCUMENT_POSITION_FOLLOWING ? -1 : i & Node.DOCUMENT_POSITION_PRECEDING ? 1 : 0;
  });
}
function we(e, t, { sorted: r = !0, relativeTo: a = null, skipElements: n = [] } = {}) {
  var o;
  let i = (o = Array.isArray(e) ? e.length > 0 ? e[0].ownerDocument : document : e == null ? void 0 : e.ownerDocument) != null ? o : document, l = Array.isArray(e) ? r ? Ir(e) : e : Nr(e);
  n.length > 0 && l.length > 1 && (l = l.filter((m) => !n.includes(m))), a = a ?? i.activeElement;
  let s = (() => {
    if (t & 5)
      return 1;
    if (t & 10)
      return -1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), u = (() => {
    if (t & 1)
      return 0;
    if (t & 2)
      return Math.max(0, l.indexOf(a)) - 1;
    if (t & 4)
      return Math.max(0, l.indexOf(a)) + 1;
    if (t & 8)
      return l.length - 1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), c = t & 32 ? { preventScroll: !0 } : {}, v = 0, w = l.length, p;
  do {
    if (v >= w || v + w <= 0)
      return 0;
    let m = u + v;
    if (t & 16)
      m = (m + w) % w;
    else {
      if (m < 0)
        return 3;
      if (m >= w)
        return 1;
    }
    p = l[m], p == null || p.focus(c), v += s;
  } while (p !== i.activeElement);
  return t & 6 && Hr(p) && p.select(), p.hasAttribute("tabindex") || p.setAttribute("tabindex", "0"), 2;
}
function Oe(e, t, r) {
  de.isServer || j((a) => {
    document.addEventListener(e, t, r), a(() => document.removeEventListener(e, t, r));
  });
}
function Vr(e, t, r = f(() => !0)) {
  function a(o, i) {
    if (!r.value || o.defaultPrevented)
      return;
    let l = i(o);
    if (l === null || !l.getRootNode().contains(l))
      return;
    let s = function u(c) {
      return typeof c == "function" ? u(c()) : Array.isArray(c) || c instanceof Set ? c : [c];
    }(e);
    for (let u of s) {
      if (u === null)
        continue;
      let c = u instanceof HTMLElement ? u : A(u);
      if (c != null && c.contains(l) || o.composed && o.composedPath().includes(c))
        return;
    }
    return !qr(l, dt.Loose) && l.tabIndex !== -1 && o.preventDefault(), t(o, l);
  }
  let n = h(null);
  Oe("mousedown", (o) => {
    var i, l;
    r.value && (n.value = ((l = (i = o.composedPath) == null ? void 0 : i.call(o)) == null ? void 0 : l[0]) || o.target);
  }, !0), Oe("click", (o) => {
    n.value && (a(o, () => n.value), n.value = null);
  }, !0), Oe("blur", (o) => a(o, () => window.document.activeElement instanceof HTMLIFrameElement ? window.document.activeElement : null), !0);
}
var Te = ((e) => (e[e.None = 1] = "None", e[e.Focusable = 2] = "Focusable", e[e.Hidden = 4] = "Hidden", e))(Te || {});
let Me = F({ name: "Hidden", props: { as: { type: [Object, String], default: "div" }, features: { type: Number, default: 1 } }, setup(e, { slots: t, attrs: r }) {
  return () => {
    let { features: a, ...n } = e, o = { "aria-hidden": (a & 2) === 2 ? !0 : void 0, style: { position: "fixed", top: 1, left: 1, width: 1, height: 0, padding: 0, margin: -1, overflow: "hidden", clip: "rect(0, 0, 0, 0)", whiteSpace: "nowrap", borderWidth: "0", ...(a & 4) === 4 && (a & 2) !== 2 && { display: "none" } } };
    return P({ ourProps: o, theirProps: n, slot: {}, attrs: r, slots: t, name: "Hidden" });
  };
} });
function Wr() {
  return /iPhone/gi.test(window.navigator.platform) || /Mac/gi.test(window.navigator.platform) && window.navigator.maxTouchPoints > 0;
}
function Zr(e, t, r) {
  de.isServer || j((a) => {
    window.addEventListener(e, t, r), a(() => window.removeEventListener(e, t, r));
  });
}
var ue = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(ue || {});
function Qr() {
  let e = h(0);
  return Zr("keydown", (t) => {
    t.key === "Tab" && (e.value = t.shiftKey ? 1 : 0);
  }), e;
}
function pt(e, t, r, a) {
  de.isServer || j((n) => {
    e = e ?? window, e.addEventListener(t, r, a), n(() => e.removeEventListener(t, r, a));
  });
}
function vt(e) {
  typeof queueMicrotask == "function" ? queueMicrotask(e) : Promise.resolve().then(e).catch((t) => setTimeout(() => {
    throw t;
  }));
}
function ft(e) {
  if (!e)
    return /* @__PURE__ */ new Set();
  if (typeof e == "function")
    return new Set(e());
  let t = /* @__PURE__ */ new Set();
  for (let r of e.value) {
    let a = A(r);
    a instanceof HTMLElement && t.add(a);
  }
  return t;
}
var bt = ((e) => (e[e.None = 1] = "None", e[e.InitialFocus = 2] = "InitialFocus", e[e.TabLock = 4] = "TabLock", e[e.FocusLock = 8] = "FocusLock", e[e.RestoreFocus = 16] = "RestoreFocus", e[e.All = 30] = "All", e))(bt || {});
let le = Object.assign(F({ name: "FocusTrap", props: { as: { type: [Object, String], default: "div" }, initialFocus: { type: Object, default: null }, features: { type: Number, default: 30 }, containers: { type: [Object, Function], default: h(/* @__PURE__ */ new Set()) } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = h(null);
  a({ el: n, $el: n });
  let o = f(() => pe(n)), i = h(!1);
  $(() => i.value = !0), I(() => i.value = !1), Yr({ ownerDocument: o }, f(() => i.value && !!(e.features & 16)));
  let l = Xr({ ownerDocument: o, container: n, initialFocus: f(() => e.initialFocus) }, f(() => i.value && !!(e.features & 2)));
  Jr({ ownerDocument: o, container: n, containers: e.containers, previousActiveElement: l }, f(() => i.value && !!(e.features & 8)));
  let s = Qr();
  function u(p) {
    let m = A(n);
    m && ((g) => g())(() => {
      z(s.value, { [ue.Forwards]: () => {
        we(m, Q.First, { skipElements: [p.relatedTarget] });
      }, [ue.Backwards]: () => {
        we(m, Q.Last, { skipElements: [p.relatedTarget] });
      } });
    });
  }
  let c = h(!1);
  function v(p) {
    p.key === "Tab" && (c.value = !0, requestAnimationFrame(() => {
      c.value = !1;
    }));
  }
  function w(p) {
    if (!i.value)
      return;
    let m = ft(e.containers);
    A(n) instanceof HTMLElement && m.add(A(n));
    let g = p.relatedTarget;
    g instanceof HTMLElement && g.dataset.headlessuiFocusGuard !== "true" && (mt(m, g) || (c.value ? we(A(n), z(s.value, { [ue.Forwards]: () => Q.Next, [ue.Backwards]: () => Q.Previous }) | Q.WrapAround, { relativeTo: p.target }) : p.target instanceof HTMLElement && re(p.target)));
  }
  return () => {
    let p = {}, m = { ref: n, onKeydown: v, onFocusout: w }, { features: g, initialFocus: _, containers: Y, ...M } = e;
    return D(Fe, [!!(g & 4) && D(Me, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Te.Focusable }), P({ ourProps: m, theirProps: { ...t, ...M }, slot: p, attrs: t, slots: r, name: "FocusTrap" }), !!(g & 4) && D(Me, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Te.Focusable })]);
  };
} }), { features: bt }), ee = [];
if (typeof window < "u" && typeof document < "u") {
  let e = function(t) {
    t.target instanceof HTMLElement && t.target !== document.body && ee[0] !== t.target && (ee.unshift(t.target), ee = ee.filter((r) => r != null && r.isConnected), ee.splice(10));
  };
  window.addEventListener("click", e, { capture: !0 }), window.addEventListener("mousedown", e, { capture: !0 }), window.addEventListener("focus", e, { capture: !0 }), document.body.addEventListener("click", e, { capture: !0 }), document.body.addEventListener("mousedown", e, { capture: !0 }), document.body.addEventListener("focus", e, { capture: !0 });
}
function Gr(e) {
  let t = h(ee.slice());
  return oe([e], ([r], [a]) => {
    a === !0 && r === !1 ? vt(() => {
      t.value.splice(0);
    }) : a === !1 && r === !0 && (t.value = ee.slice());
  }, { flush: "post" }), () => {
    var r;
    return (r = t.value.find((a) => a != null && a.isConnected)) != null ? r : null;
  };
}
function Yr({ ownerDocument: e }, t) {
  let r = Gr(t);
  $(() => {
    j(() => {
      var a, n;
      t.value || ((a = e.value) == null ? void 0 : a.activeElement) === ((n = e.value) == null ? void 0 : n.body) && re(r());
    }, { flush: "post" });
  }), I(() => {
    re(r());
  });
}
function Xr({ ownerDocument: e, container: t, initialFocus: r }, a) {
  let n = h(null), o = h(!1);
  return $(() => o.value = !0), I(() => o.value = !1), $(() => {
    oe([t, r, a], (i, l) => {
      if (i.every((u, c) => (l == null ? void 0 : l[c]) === u) || !a.value)
        return;
      let s = A(t);
      s && vt(() => {
        var u, c;
        if (!o.value)
          return;
        let v = A(r), w = (u = e.value) == null ? void 0 : u.activeElement;
        if (v) {
          if (v === w) {
            n.value = w;
            return;
          }
        } else if (s.contains(w)) {
          n.value = w;
          return;
        }
        v ? re(v) : we(s, Q.First | Q.NoScroll) === ct.Error && console.warn("There are no focusable elements inside the <FocusTrap />"), n.value = (c = e.value) == null ? void 0 : c.activeElement;
      });
    }, { immediate: !0, flush: "post" });
  }), n;
}
function Jr({ ownerDocument: e, container: t, containers: r, previousActiveElement: a }, n) {
  var o;
  pt((o = e.value) == null ? void 0 : o.defaultView, "focus", (i) => {
    if (!n.value)
      return;
    let l = ft(r);
    A(t) instanceof HTMLElement && l.add(A(t));
    let s = a.value;
    if (!s)
      return;
    let u = i.target;
    u && u instanceof HTMLElement ? mt(l, u) ? (a.value = u, re(u)) : (i.preventDefault(), i.stopPropagation(), re(s)) : re(a.value);
  }, !0);
}
function mt(e, t) {
  for (let r of e)
    if (r.contains(t))
      return !0;
  return !1;
}
let Be = /* @__PURE__ */ new Map(), se = /* @__PURE__ */ new Map();
function Xe(e, t = h(!0)) {
  j((r) => {
    var a;
    if (!t.value)
      return;
    let n = A(e);
    if (!n)
      return;
    r(function() {
      var i;
      if (!n)
        return;
      let l = (i = se.get(n)) != null ? i : 1;
      if (l === 1 ? se.delete(n) : se.set(n, l - 1), l !== 1)
        return;
      let s = Be.get(n);
      s && (s["aria-hidden"] === null ? n.removeAttribute("aria-hidden") : n.setAttribute("aria-hidden", s["aria-hidden"]), n.inert = s.inert, Be.delete(n));
    });
    let o = (a = se.get(n)) != null ? a : 0;
    se.set(n, o + 1), o === 0 && (Be.set(n, { "aria-hidden": n.getAttribute("aria-hidden"), inert: n.inert }), n.setAttribute("aria-hidden", "true"), n.inert = !0);
  });
}
let gt = Symbol("ForcePortalRootContext");
function Kr() {
  return H(gt, !1);
}
let Re = F({ name: "ForcePortalRoot", props: { as: { type: [Object, String], default: "template" }, force: { type: Boolean, default: !1 } }, setup(e, { slots: t, attrs: r }) {
  return Z(gt, e.force), () => {
    let { force: a, ...n } = e;
    return P({ theirProps: n, ourProps: {}, slot: {}, slots: t, attrs: r, name: "ForcePortalRoot" });
  };
} });
function ea(e) {
  let t = pe(e);
  if (!t) {
    if (e === null)
      return null;
    throw new Error(`[Headless UI]: Cannot find ownerDocument for contextElement: ${e}`);
  }
  let r = t.getElementById("headlessui-portal-root");
  if (r)
    return r;
  let a = t.createElement("div");
  return a.setAttribute("id", "headlessui-portal-root"), t.body.appendChild(a);
}
let yt = F({ name: "Portal", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: r }) {
  let a = h(null), n = f(() => pe(a)), o = Kr(), i = H(ht, null), l = h(o === !0 || i == null ? ea(a.value) : i.resolveTarget());
  return j(() => {
    o || i != null && (l.value = i.resolveTarget());
  }), I(() => {
    var s, u;
    let c = (s = n.value) == null ? void 0 : s.getElementById("headlessui-portal-root");
    c && l.value === c && l.value.children.length <= 0 && ((u = l.value.parentElement) == null || u.removeChild(l.value));
  }), () => {
    if (l.value === null)
      return null;
    let s = { ref: a, "data-headlessui-portal": "" };
    return D(Ut, { to: l.value }, P({ ourProps: s, theirProps: e, slot: {}, attrs: r, slots: t, name: "Portal" }));
  };
} }), ht = Symbol("PortalGroupContext"), ta = F({ name: "PortalGroup", props: { as: { type: [Object, String], default: "template" }, target: { type: Object, default: null } }, setup(e, { attrs: t, slots: r }) {
  let a = _t({ resolveTarget() {
    return e.target;
  } });
  return Z(ht, a), () => {
    let { target: n, ...o } = e;
    return P({ theirProps: o, ourProps: {}, slot: {}, attrs: t, slots: r, name: "PortalGroup" });
  };
} }), wt = Symbol("StackContext");
var je = ((e) => (e[e.Add = 0] = "Add", e[e.Remove = 1] = "Remove", e))(je || {});
function ra() {
  return H(wt, () => {
  });
}
function aa({ type: e, enabled: t, element: r, onUpdate: a }) {
  let n = ra();
  function o(...i) {
    a == null || a(...i), n(...i);
  }
  $(() => {
    oe(t, (i, l) => {
      i ? o(0, e, r) : l === !0 && o(1, e, r);
    }, { immediate: !0, flush: "sync" });
  }), I(() => {
    t.value && o(1, e, r);
  }), Z(wt, o);
}
let xt = Symbol("DescriptionContext");
function na() {
  let e = H(xt, null);
  if (e === null)
    throw new Error("Missing parent");
  return e;
}
function oa({ slot: e = h({}), name: t = "Description", props: r = {} } = {}) {
  let a = h([]);
  function n(o) {
    return a.value.push(o), () => {
      let i = a.value.indexOf(o);
      i !== -1 && a.value.splice(i, 1);
    };
  }
  return Z(xt, { register: n, slot: e, name: t, props: r }), f(() => a.value.length > 0 ? a.value.join(" ") : void 0);
}
F({ name: "Description", props: { as: { type: [Object, String], default: "p" }, id: { type: String, default: () => `headlessui-description-${ae()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = na();
  return $(() => I(a.register(e.id))), () => {
    let { name: n = "Description", slot: o = h({}), props: i = {} } = a, { id: l, ...s } = e, u = { ...Object.entries(i).reduce((c, [v, w]) => Object.assign(c, { [v]: y(w) }), {}), id: l };
    return P({ ourProps: u, theirProps: s, slot: o.value, attrs: t, slots: r, name: n });
  };
} });
function ia(e) {
  let t = Mt(e.getSnapshot());
  return I(e.subscribe(() => {
    t.value = e.getSnapshot();
  })), t;
}
function Le() {
  let e = [], t = { addEventListener(r, a, n, o) {
    return r.addEventListener(a, n, o), t.add(() => r.removeEventListener(a, n, o));
  }, requestAnimationFrame(...r) {
    let a = requestAnimationFrame(...r);
    t.add(() => cancelAnimationFrame(a));
  }, nextFrame(...r) {
    t.requestAnimationFrame(() => {
      t.requestAnimationFrame(...r);
    });
  }, setTimeout(...r) {
    let a = setTimeout(...r);
    t.add(() => clearTimeout(a));
  }, style(r, a, n) {
    let o = r.style.getPropertyValue(a);
    return Object.assign(r.style, { [a]: n }), this.add(() => {
      Object.assign(r.style, { [a]: o });
    });
  }, group(r) {
    let a = Le();
    return r(a), this.add(() => a.dispose());
  }, add(r) {
    return e.push(r), () => {
      let a = e.indexOf(r);
      if (a >= 0)
        for (let n of e.splice(a, 1))
          n();
    };
  }, dispose() {
    for (let r of e.splice(0))
      r();
  } };
  return t;
}
function la(e, t) {
  let r = e(), a = /* @__PURE__ */ new Set();
  return { getSnapshot() {
    return r;
  }, subscribe(n) {
    return a.add(n), () => a.delete(n);
  }, dispatch(n, ...o) {
    let i = t[n].call(r, ...o);
    i && (r = i, a.forEach((l) => l()));
  } };
}
function sa() {
  let e;
  return { before({ doc: t }) {
    var r;
    let a = t.documentElement;
    e = ((r = t.defaultView) != null ? r : window).innerWidth - a.clientWidth;
  }, after({ doc: t, d: r }) {
    let a = t.documentElement, n = a.clientWidth - a.offsetWidth, o = e - n;
    r.style(a, "paddingRight", `${o}px`);
  } };
}
function ua() {
  if (!Wr())
    return {};
  let e;
  return { before() {
    e = window.pageYOffset;
  }, after({ doc: t, d: r, meta: a }) {
    function n(i) {
      return a.containers.flatMap((l) => l()).some((l) => l.contains(i));
    }
    r.style(t.body, "marginTop", `-${e}px`), window.scrollTo(0, 0);
    let o = null;
    r.addEventListener(t, "click", (i) => {
      if (i.target instanceof HTMLElement)
        try {
          let l = i.target.closest("a");
          if (!l)
            return;
          let { hash: s } = new URL(l.href), u = t.querySelector(s);
          u && !n(u) && (o = u);
        } catch {
        }
    }, !0), r.addEventListener(t, "touchmove", (i) => {
      i.target instanceof HTMLElement && !n(i.target) && i.preventDefault();
    }, { passive: !1 }), r.add(() => {
      window.scrollTo(0, window.pageYOffset + e), o && o.isConnected && (o.scrollIntoView({ block: "nearest" }), o = null);
    });
  } };
}
function ca() {
  return { before({ doc: e, d: t }) {
    t.style(e.documentElement, "overflow", "hidden");
  } };
}
function da(e) {
  let t = {};
  for (let r of e)
    Object.assign(t, r(t));
  return t;
}
let te = la(() => /* @__PURE__ */ new Map(), { PUSH(e, t) {
  var r;
  let a = (r = this.get(e)) != null ? r : { doc: e, count: 0, d: Le(), meta: /* @__PURE__ */ new Set() };
  return a.count++, a.meta.add(t), this.set(e, a), this;
}, POP(e, t) {
  let r = this.get(e);
  return r && (r.count--, r.meta.delete(t)), this;
}, SCROLL_PREVENT({ doc: e, d: t, meta: r }) {
  let a = { doc: e, d: t, meta: da(r) }, n = [ua(), sa(), ca()];
  n.forEach(({ before: o }) => o == null ? void 0 : o(a)), n.forEach(({ after: o }) => o == null ? void 0 : o(a));
}, SCROLL_ALLOW({ d: e }) {
  e.dispose();
}, TEARDOWN({ doc: e }) {
  this.delete(e);
} });
te.subscribe(() => {
  let e = te.getSnapshot(), t = /* @__PURE__ */ new Map();
  for (let [r] of e)
    t.set(r, r.documentElement.style.overflow);
  for (let r of e.values()) {
    let a = t.get(r.doc) === "hidden", n = r.count !== 0;
    (n && !a || !n && a) && te.dispatch(r.count > 0 ? "SCROLL_PREVENT" : "SCROLL_ALLOW", r), r.count === 0 && te.dispatch("TEARDOWN", r);
  }
});
function pa(e, t, r) {
  let a = ia(te), n = f(() => {
    let o = e.value ? a.value.get(e.value) : void 0;
    return o ? o.count > 0 : !1;
  });
  return oe([e, t], ([o, i], [l], s) => {
    if (!o || !i)
      return;
    te.dispatch("PUSH", o, r);
    let u = !1;
    s(() => {
      u || (te.dispatch("POP", l ?? o, r), u = !0);
    });
  }, { immediate: !0 }), n;
}
var va = ((e) => (e[e.Open = 0] = "Open", e[e.Closed = 1] = "Closed", e))(va || {});
let Ne = Symbol("DialogContext");
function ve(e) {
  let t = H(Ne, null);
  if (t === null) {
    let r = new Error(`<${e} /> is missing a parent <Dialog /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(r, ve), r;
  }
  return t;
}
let ye = "DC8F892D-2EBD-447C-A4C8-A03058436FF4", fa = F({ name: "Dialog", inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, open: { type: [Boolean, String], default: ye }, initialFocus: { type: Object, default: null }, id: { type: String, default: () => `headlessui-dialog-${ae()}` } }, emits: { close: (e) => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: n }) {
  var o;
  let i = h(!1);
  $(() => {
    i.value = !0;
  });
  let l = h(0), s = He(), u = f(() => e.open === ye && s !== null ? (s.value & O.Open) === O.Open : e.open), c = h(null), v = h(null), w = f(() => pe(c));
  if (n({ el: c, $el: c }), !(e.open !== ye || s !== null))
    throw new Error("You forgot to provide an `open` prop to the `Dialog`.");
  if (typeof u.value != "boolean")
    throw new Error(`You provided an \`open\` prop to the \`Dialog\`, but the value is not a boolean. Received: ${u.value === ye ? void 0 : e.open}`);
  let p = f(() => i.value && u.value ? 0 : 1), m = f(() => p.value === 0), g = f(() => l.value > 1), _ = H(Ne, null) !== null, Y = f(() => g.value ? "parent" : "leaf"), M = f(() => s !== null ? (s.value & O.Closing) === O.Closing : !1), ne = f(() => _ || M.value ? !1 : m.value), fe = f(() => {
    var x, E, k;
    return (k = Array.from((E = (x = w.value) == null ? void 0 : x.querySelectorAll("body > *")) != null ? E : []).find((C) => C.id === "headlessui-portal-root" ? !1 : C.contains(A(v)) && C instanceof HTMLElement)) != null ? k : null;
  });
  Xe(fe, ne);
  let be = f(() => g.value ? !0 : m.value), me = f(() => {
    var x, E, k;
    return (k = Array.from((E = (x = w.value) == null ? void 0 : x.querySelectorAll("[data-headlessui-portal]")) != null ? E : []).find((C) => C.contains(A(v)) && C instanceof HTMLElement)) != null ? k : null;
  });
  Xe(me, be), aa({ type: "Dialog", enabled: f(() => p.value === 0), element: c, onUpdate: (x, E) => {
    if (E === "Dialog")
      return z(x, { [je.Add]: () => l.value += 1, [je.Remove]: () => l.value -= 1 });
  } });
  let Ae = oa({ name: "DialogDescription", slot: f(() => ({ open: u.value })) }), X = h(null), V = { titleId: X, panelRef: h(null), dialogState: p, setTitleId(x) {
    X.value !== x && (X.value = x);
  }, close() {
    t("close", !1);
  } };
  Z(Ne, V);
  function ie() {
    var x, E, k;
    return [...Array.from((E = (x = w.value) == null ? void 0 : x.querySelectorAll("html > *, body > *, [data-headlessui-portal]")) != null ? E : []).filter((C) => !(C === document.body || C === document.head || !(C instanceof HTMLElement) || C.contains(A(v)) || V.panelRef.value && C.contains(V.panelRef.value))), (k = V.panelRef.value) != null ? k : c.value];
  }
  let Ce = f(() => !(!m.value || g.value));
  Vr(() => ie(), (x, E) => {
    V.close(), Rt(() => E == null ? void 0 : E.focus());
  }, Ce);
  let De = f(() => !(g.value || p.value !== 0));
  pt((o = w.value) == null ? void 0 : o.defaultView, "keydown", (x) => {
    De.value && (x.defaultPrevented || x.key === st.Escape && (x.preventDefault(), x.stopPropagation(), V.close()));
  });
  let N = f(() => !(M.value || p.value !== 0 || _));
  return pa(w, N, (x) => {
    var E;
    return { containers: [...(E = x.containers) != null ? E : [], ie] };
  }), j((x) => {
    if (p.value !== 0)
      return;
    let E = A(c);
    if (!E)
      return;
    let k = new ResizeObserver((C) => {
      for (let ge of C) {
        let J = ge.target.getBoundingClientRect();
        J.x === 0 && J.y === 0 && J.width === 0 && J.height === 0 && V.close();
      }
    });
    k.observe(E), x(() => k.disconnect());
  }), () => {
    let { id: x, open: E, initialFocus: k, ...C } = e, ge = { ...r, ref: c, id: x, role: "dialog", "aria-modal": p.value === 0 ? !0 : void 0, "aria-labelledby": X.value, "aria-describedby": Ae.value }, J = { open: p.value === 0 };
    return D(Re, { force: !0 }, () => [D(yt, () => D(ta, { target: c.value }, () => D(Re, { force: !1 }, () => D(le, { initialFocus: k, containers: ie, features: m.value ? z(Y.value, { parent: le.features.RestoreFocus, leaf: le.features.All & ~le.features.FocusLock }) : le.features.None }, () => P({ ourProps: ge, theirProps: C, slot: J, attrs: r, slots: a, visible: p.value === 0, features: Ee.RenderStrategy | Ee.Static, name: "Dialog" }))))), D(Me, { features: Te.Hidden, ref: v })]);
  };
} });
F({ name: "DialogOverlay", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-overlay-${ae()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = ve("DialogOverlay");
  function n(o) {
    o.target === o.currentTarget && (o.preventDefault(), o.stopPropagation(), a.close());
  }
  return () => {
    let { id: o, ...i } = e;
    return P({ ourProps: { id: o, "aria-hidden": !0, onClick: n }, theirProps: i, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogOverlay" });
  };
} });
F({ name: "DialogBackdrop", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-backdrop-${ae()}` } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = ve("DialogBackdrop"), o = h(null);
  return a({ el: o, $el: o }), $(() => {
    if (n.panelRef.value === null)
      throw new Error("A <DialogBackdrop /> component is being used, but a <DialogPanel /> component is missing.");
  }), () => {
    let { id: i, ...l } = e, s = { id: i, ref: o, "aria-hidden": !0 };
    return D(Re, { force: !0 }, () => D(yt, () => P({ ourProps: s, theirProps: { ...t, ...l }, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogBackdrop" })));
  };
} });
let ba = F({ name: "DialogPanel", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-panel-${ae()}` } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = ve("DialogPanel");
  a({ el: n.panelRef, $el: n.panelRef });
  function o(i) {
    i.stopPropagation();
  }
  return () => {
    let { id: i, ...l } = e, s = { id: i, ref: n.panelRef, onClick: o };
    return P({ ourProps: s, theirProps: l, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogPanel" });
  };
} }), ma = F({ name: "DialogTitle", props: { as: { type: [Object, String], default: "h2" }, id: { type: String, default: () => `headlessui-dialog-title-${ae()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = ve("DialogTitle");
  return $(() => {
    a.setTitleId(e.id), I(() => a.setTitleId(null));
  }), () => {
    let { id: n, ...o } = e;
    return P({ ourProps: { id: n }, theirProps: o, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogTitle" });
  };
} });
function ga(e) {
  let t = { called: !1 };
  return (...r) => {
    if (!t.called)
      return t.called = !0, e(...r);
  };
}
function Pe(e, ...t) {
  e && t.length > 0 && e.classList.add(...t);
}
function he(e, ...t) {
  e && t.length > 0 && e.classList.remove(...t);
}
var qe = ((e) => (e.Finished = "finished", e.Cancelled = "cancelled", e))(qe || {});
function ya(e, t) {
  let r = Le();
  if (!e)
    return r.dispose;
  let { transitionDuration: a, transitionDelay: n } = getComputedStyle(e), [o, i] = [a, n].map((l) => {
    let [s = 0] = l.split(",").filter(Boolean).map((u) => u.includes("ms") ? parseFloat(u) : parseFloat(u) * 1e3).sort((u, c) => c - u);
    return s;
  });
  return o !== 0 ? r.setTimeout(() => t("finished"), o + i) : t("finished"), r.add(() => t("cancelled")), r.dispose;
}
function Je(e, t, r, a, n, o) {
  let i = Le(), l = o !== void 0 ? ga(o) : () => {
  };
  return he(e, ...n), Pe(e, ...t, ...r), i.nextFrame(() => {
    he(e, ...r), Pe(e, ...a), i.add(ya(e, (s) => (he(e, ...a, ...t), Pe(e, ...n), l(s))));
  }), i.add(() => he(e, ...t, ...r, ...a, ...n)), i.add(() => l("cancelled")), i.dispose;
}
function K(e = "") {
  return e.split(" ").filter((t) => t.trim().length > 1);
}
let Ie = Symbol("TransitionContext");
var ha = ((e) => (e.Visible = "visible", e.Hidden = "hidden", e))(ha || {});
function wa() {
  return H(Ie, null) !== null;
}
function xa() {
  let e = H(Ie, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
function Ea() {
  let e = H(Ve, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
let Ve = Symbol("NestingContext");
function ke(e) {
  return "children" in e ? ke(e.children) : e.value.filter(({ state: t }) => t === "visible").length > 0;
}
function Et(e) {
  let t = h([]), r = h(!1);
  $(() => r.value = !0), I(() => r.value = !1);
  function a(o, i = G.Hidden) {
    let l = t.value.findIndex(({ id: s }) => s === o);
    l !== -1 && (z(i, { [G.Unmount]() {
      t.value.splice(l, 1);
    }, [G.Hidden]() {
      t.value[l].state = "hidden";
    } }), !ke(t) && r.value && (e == null || e()));
  }
  function n(o) {
    let i = t.value.find(({ id: l }) => l === o);
    return i ? i.state !== "visible" && (i.state = "visible") : t.value.push({ id: o, state: "visible" }), () => a(o, G.Unmount);
  }
  return { children: t, register: n, unregister: a };
}
let Tt = Ee.RenderStrategy, ze = F({ props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: n }) {
  let o = h(0);
  function i() {
    o.value |= O.Opening, t("beforeEnter");
  }
  function l() {
    o.value &= ~O.Opening, t("afterEnter");
  }
  function s() {
    o.value |= O.Closing, t("beforeLeave");
  }
  function u() {
    o.value &= ~O.Closing, t("afterLeave");
  }
  if (!wa() && Pr())
    return () => D(Ft, { ...e, onBeforeEnter: i, onAfterEnter: l, onBeforeLeave: s, onAfterLeave: u }, a);
  let c = h(null), v = h("visible"), w = f(() => e.unmount ? G.Unmount : G.Hidden);
  n({ el: c, $el: c });
  let { show: p, appear: m } = xa(), { register: g, unregister: _ } = Ea(), Y = { value: !0 }, M = ae(), ne = { value: !1 }, fe = Et(() => {
    !ne.value && v.value !== "hidden" && (v.value = "hidden", _(M), u());
  });
  $(() => {
    let N = g(M);
    I(N);
  }), j(() => {
    if (w.value === G.Hidden && M) {
      if (p && v.value !== "visible") {
        v.value = "visible";
        return;
      }
      z(v.value, { hidden: () => _(M), visible: () => g(M) });
    }
  });
  let be = K(e.enter), me = K(e.enterFrom), Ae = K(e.enterTo), X = K(e.entered), V = K(e.leave), ie = K(e.leaveFrom), Ce = K(e.leaveTo);
  $(() => {
    j(() => {
      if (v.value === "visible") {
        let N = A(c);
        if (N instanceof Comment && N.data === "")
          throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?");
      }
    });
  });
  function De(N) {
    let x = Y.value && !m.value, E = A(c);
    !E || !(E instanceof HTMLElement) || x || (ne.value = !0, p.value && i(), p.value || s(), N(p.value ? Je(E, be, me, Ae, X, (k) => {
      ne.value = !1, k === qe.Finished && l();
    }) : Je(E, V, ie, Ce, X, (k) => {
      ne.value = !1, k === qe.Finished && (ke(fe) || (v.value = "hidden", _(M), u()));
    })));
  }
  return $(() => {
    oe([p], (N, x, E) => {
      De(E), Y.value = !1;
    }, { immediate: !0 });
  }), Z(Ve, fe), Ur(f(() => z(v.value, { visible: O.Open, hidden: O.Closed }) | o.value)), () => {
    let { appear: N, show: x, enter: E, enterFrom: k, enterTo: C, entered: ge, leave: J, leaveFrom: _a, leaveTo: Ma, ...We } = e, Lt = { ref: c }, kt = { ...We, ...m && p && de.isServer ? { class: B([r.class, We.class, ...be, ...me]) } : {} };
    return P({ theirProps: kt, ourProps: Lt, slot: {}, slots: a, attrs: r, features: Tt, visible: v.value === "visible", name: "TransitionChild" });
  };
} }), Ta = ze, Ft = F({ inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a }) {
  let n = He(), o = f(() => e.show === null && n !== null ? (n.value & O.Open) === O.Open : e.show);
  j(() => {
    if (![!0, !1].includes(o.value))
      throw new Error('A <Transition /> is used but it is missing a `:show="true | false"` prop.');
  });
  let i = h(o.value ? "visible" : "hidden"), l = Et(() => {
    i.value = "hidden";
  }), s = h(!0), u = { show: o, appear: f(() => e.appear || !s.value) };
  return $(() => {
    j(() => {
      s.value = !1, o.value ? i.value = "visible" : ke(l) || (i.value = "hidden");
    });
  }), Z(Ve, l), Z(Ie, u), () => {
    let c = lt(e, ["show", "appear", "unmount", "onBeforeEnter", "onBeforeLeave", "onAfterEnter", "onAfterLeave"]), v = { unmount: e.unmount };
    return P({ ourProps: { ...v, as: "template" }, theirProps: {}, slot: {}, slots: { ...a, default: () => [D(Ta, { onBeforeEnter: () => t("beforeEnter"), onAfterEnter: () => t("afterEnter"), onBeforeLeave: () => t("beforeLeave"), onAfterLeave: () => t("afterLeave"), ...r, ...v, ...c }, a.default)] }, attrs: {}, features: Tt, visible: i.value === "visible", name: "Transition" });
  };
} });
const Fa = { class: "flex h-screen w-screen items-center justify-center overflow-hidden" }, La = /* @__PURE__ */ T("div", { class: "bcc-modal-overlay" }, null, -1), ka = { class: "bcc-modal-wrapper" }, Aa = {
  key: 0,
  class: "bcc-modal-header"
}, Ca = {
  key: 1,
  class: "bcc-modal-body"
}, Da = {
  key: 0,
  class: "bcc-modal-title"
}, $a = { class: "bcc-modal-content" }, Sa = { class: "bcc-modal-footer" }, Oa = {
  key: 0,
  class: "bcc-modal-footer-content"
}, Ba = { class: "bcc-modal-actions" }, Pa = {
  key: 0,
  class: "bcc-modal-secondary-action"
}, Ua = { class: "bcc-modal-primary-action" }, Ga = /* @__PURE__ */ F({
  inheritAttrs: !1,
  __name: "BccModal",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = e, a = Ke(), n = f(() => r.closeButton && !a.header);
    return (o, i) => (d(), R(y(Ft), {
      as: "template",
      show: o.open
    }, {
      default: U(() => [
        S(y(fa), {
          as: "div",
          class: "bcc-modal-overlay-wrapper",
          onClose: i[2] || (i[2] = (l) => t("close"))
        }, {
          default: U(() => [
            T("div", Fa, [
              S(y(ze), {
                as: "div",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0",
                "enter-to": "opacity-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100",
                "leave-to": "opacity-0"
              }, {
                default: U(() => [
                  La
                ]),
                _: 1
              }),
              S(y(ze), {
                as: "template",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95",
                "enter-to": "opacity-100 translate-y-0 sm:scale-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100 translate-y-0 sm:scale-100",
                "leave-to": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
              }, {
                default: U(() => [
                  T("div", ka, [
                    S(y(ba), et({ class: "bcc-modal" }, o.$attrs), {
                      default: U(() => [
                        o.$slots.header ? (d(), b("div", Aa, [
                          W(o.$slots, "header")
                        ])) : L("", !0),
                        o.title || n.value || y(a).default ? (d(), b("div", Ca, [
                          o.title || n.value ? (d(), b("div", Da, [
                            S(y(ma), { as: "h3" }, {
                              default: U(() => [
                                xe(q(o.title), 1)
                              ]),
                              _: 1
                            }),
                            n.value ? (d(), b("button", {
                              key: 0,
                              onClick: i[0] || (i[0] = jt((l) => t("close"), ["prevent"])),
                              class: "bcc-modal-close-button",
                              "aria-label": "Close modal window"
                            }, [
                              S(y(nt), { class: "bcc-modal-close-icon" })
                            ])) : L("", !0)
                          ])) : L("", !0),
                          T("div", $a, [
                            W(o.$slots, "default")
                          ])
                        ])) : L("", !0),
                        T("div", Sa, [
                          o.$slots.footer ? (d(), b("div", Oa, [
                            W(o.$slots, "footer")
                          ])) : L("", !0),
                          T("div", Ba, [
                            o.$slots.secondaryAction ? (d(), b("div", Pa, [
                              W(o.$slots, "secondaryAction")
                            ])) : L("", !0),
                            T("div", Ua, [
                              W(o.$slots, "primaryAction", {}, () => [
                                S(Ue, {
                                  onClick: i[1] || (i[1] = (l) => t("close"))
                                }, {
                                  default: U(() => [
                                    xe(" OK ")
                                  ]),
                                  _: 1
                                })
                              ])
                            ])
                          ])
                        ])
                      ]),
                      _: 3
                    }, 16)
                  ])
                ]),
                _: 3
              })
            ])
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["show"]));
  }
});
export {
  Va as BccAvatar,
  za as BccBadge,
  Ue as BccButton,
  Ia as BccCapacityIndicator,
  Qa as BccCookieBanner,
  qa as BccInput,
  Ga as BccModal,
  Ha as BccPin,
  Za as BccStatusIndicator,
  Wa as BccToggle,
  Na as bccForbundetTheme,
  ja as tailwindPlugin,
  Ge as useAnimatedNumber
};
